<%
allcols = tableMapping.getTable("SE").getApplicableColumns(entity);
mergecols = allcols.findAll({col ->
	( 
		(col.attribute instanceof com.semarchy.mdm.runtime.model.logical.IAtomicAttribute) || 
		(col.attribute instanceof com.semarchy.mdm.runtime.model.logical.IComplexAtomicAttribute) || 
		(col.attribute instanceof com.semarchy.mdm.runtime.model.logical.IForeignAttribute) 
	)
})
%>
insert into <%=tableMapping.getTable("SE").tableName%> (
	B_PUBID, 
	<%=(entity.PKAttribute.PKType.isSDPK()?"B_SOURCEID":entity.PKAttribute.physicalName)%>, 
	B_BRANCHID,
	B_BATCHID,
	B_CONSTRAINTNAME, 
	B_CONSTRAINTTYPE,
	B_CLASSNAME,
	B_CREDATE,
	B_UPDDATE,
	B_CREATOR,
	B_UPDATOR,
	<%=mergecols.collect({col -> "$col.columnName"}).join(",\n\t")%>
)
select 
	S.B_PUBID, 
	S.<%=(entity.PKAttribute.PKType.isSDPK()?"B_SOURCEID":entity.PKAttribute.physicalName)%>, 
	S.B_BRANCHID,
	:V_BATCHID,
	'<%=validation.getConstraintName()%>',
	'<%=validation.getConstraintType()%>',
	'<%=entity.name%>',
	S.B_CREDATE,
	S.B_UPDDATE,
	S.B_CREATOR,
	S.B_UPDATOR,
	<%=mergecols.collect({col -> "S.$col.columnName"}).join(",\n\t")%>
from
	<%=tableMapping.getTable("SD").tableName%> S
where 
	S.B_LOADID = :V_LOADID
and	S.B_PUBID = :<%=publisherIdBinding%>
and	S.<%=(entity.PKAttribute.PKType.isSDPK()?"B_SOURCEID":entity.PKAttribute.physicalName)%> = :<%=sourceIdBinding%>
and S.B_CLASSNAME = '<%=entity.name%>'